Subject: Howard took some calls from some people who said that his music sucks.

From: Nannie Shepard <[email-masked]>
Date: Sun, 11 Feb 2007 22:43:26 +0200

Howard said that when he started out in radio he didn't have to censor
himself that much and over the years it just got worse and worse with
the delay and the station cutting up the show. He played the clip and
asked the guys if they thought he had heard something. He made it seem
like he didn't want to go if that was going to be the case. Isabella
told Howard she once went out with 5 guys and took 5 hits if ecstasy,
one for each guy, and they all took turns with her. Howard asked Artie
if he got laid that night.